from . import (
    steammessages_base,
    steammessages_clientserver,
    steammessages_clientserver_2,
    steammessages_clientserver_friends,
    steammessages_clientserver_login,
)
from .emsg import *

__all__ = ("PROTOBUFS",)


PROTOBUFS = {
    EMsg.Multi: steammessages_base.CMsgMulti,
    EMsg.ClientToGC: steammessages_clientserver_2.CMsgGcClient,
    EMsg.ClientFromGC: steammessages_clientserver_2.CMsgGcClient,
    EMsg.ClientGetNumberOfCurrentPlayersDP: steammessages_clientserver_2.CMsgDpGetNumberOfCurrentPlayers,
    EMsg.ClientGetNumberOfCurrentPlayersDPResponse: steammessages_clientserver_2.CMsgDpGetNumberOfCurrentPlayersResponse,
    EMsg.ClientLogonGameServer: steammessages_clientserver_login.CMsgClientLogon,
    EMsg.ClientCurrentUIMode: steammessages_clientserver_2.CMsgClientUiMode,
    EMsg.ClientChatOfflineMessageNotification: steammessages_clientserver_2.CMsgClientOfflineMessageNotification,
    EMsg.ClientTicketAuthComplete: steammessages_clientserver.CMsgClientTicketAuthComplete,
    EMsg.ClientCMList: steammessages_clientserver.CMsgClientCmList,
    EMsg.ClientP2PConnectionInfo: steammessages_clientserver.CMsgClientP2PConnectionInfo,
    EMsg.ClientP2PConnectionFailInfo: steammessages_clientserver.CMsgClientP2PConnectionFailInfo,
    EMsg.ClientNetworkingCertRequest: steammessages_clientserver.CMsgClientNetworkingCertRequest,
    EMsg.ClientNetworkingMobileCertRequest: steammessages_clientserver.CMsgClientNetworkingMobileCertRequest,
    EMsg.ClientGetAppOwnershipTicket: steammessages_clientserver.CMsgClientGetAppOwnershipTicket,
    EMsg.ClientGetAppOwnershipTicketResponse: steammessages_clientserver.CMsgClientGetAppOwnershipTicketResponse,
    EMsg.ClientSessionToken: steammessages_clientserver.CMsgClientSessionToken,
    EMsg.ClientGameConnectTokens: steammessages_clientserver.CMsgClientGameConnectTokens,
    EMsg.GSServerType: steammessages_clientserver.CMsgGsServerType,
    EMsg.GSStatusReply: steammessages_clientserver.CMsgGsStatusReply,
    EMsg.GSUserPlaying: steammessages_clientserver.CMsgGsUserPlaying,
    EMsg.GSDisconnectNotice: steammessages_clientserver.CMsgGsDisconnectNotice,
    EMsg.ClientGamesPlayed: steammessages_clientserver.CMsgClientGamesPlayed,
    EMsg.GSApprove: steammessages_clientserver.CMsgGsApprove,
    EMsg.GSDeny: steammessages_clientserver.CMsgGsDeny,
    EMsg.GSKick: steammessages_clientserver.CMsgGsKick,
    EMsg.ClientAuthList: steammessages_clientserver.CMsgClientAuthList,
    EMsg.ClientAuthListAck: steammessages_clientserver.CMsgClientAuthListAck,
    EMsg.ClientLicenseList: steammessages_clientserver.CMsgClientLicenseList,
    EMsg.ClientGamesPlayedWithDataBlob: steammessages_clientserver.CMsgClientGamesPlayed,
    EMsg.ClientIsLimitedAccount: steammessages_clientserver.CMsgClientIsLimitedAccount,
    EMsg.ClientRequestedClientStats: steammessages_clientserver.CMsgClientRequestedClientStats,
    EMsg.ClientStat2: steammessages_clientserver.CMsgClientStat2,
    EMsg.ClientInviteToGame: steammessages_clientserver.CMsgClientInviteToGame,
    EMsg.ClientChatInvite: steammessages_clientserver.CMsgClientChatInvite,
    EMsg.ClientConnectionStats: steammessages_clientserver.CMsgClientConnectionStats,
    EMsg.ClientServersAvailable: steammessages_clientserver.CMsgClientServersAvailable,
    EMsg.ClientGetUserStats: steammessages_clientserver.CMsgClientGetUserStats,
    EMsg.ClientGetUserStatsResponse: steammessages_clientserver.CMsgClientGetUserStatsResponse,
    EMsg.ClientStoreUserStatsResponse: steammessages_clientserver.CMsgClientStoreUserStatsResponse,
    EMsg.ClientStoreUserStats2: steammessages_clientserver.CMsgClientStoreUserStats2,
    EMsg.ClientStatsUpdated: steammessages_clientserver.CMsgClientStatsUpdated,
    EMsg.ClientStoreUserStats: steammessages_clientserver.CMsgClientStoreUserStats,
    EMsg.ClientGetClientDetails: steammessages_clientserver.CMsgClientGetClientDetails,
    EMsg.ClientReportOverlayDetourFailure: steammessages_clientserver.CMsgClientReportOverlayDetourFailure,
    EMsg.ClientGetClientDetailsResponse: steammessages_clientserver.CMsgClientGetClientDetailsResponse,
    EMsg.ClientGetClientAppList: steammessages_clientserver.CMsgClientGetClientAppList,
    EMsg.ClientGetClientAppListResponse: steammessages_clientserver.CMsgClientGetClientAppListResponse,
    EMsg.ClientInstallClientApp: steammessages_clientserver.CMsgClientInstallClientApp,
    EMsg.ClientInstallClientAppResponse: steammessages_clientserver.CMsgClientInstallClientAppResponse,
    EMsg.ClientUninstallClientApp: steammessages_clientserver.CMsgClientUninstallClientApp,
    EMsg.ClientUninstallClientAppResponse: steammessages_clientserver.CMsgClientUninstallClientAppResponse,
    EMsg.ClientSetClientAppUpdateState: steammessages_clientserver.CMsgClientSetClientAppUpdateState,
    EMsg.ClientSetClientAppUpdateStateResponse: steammessages_clientserver.CMsgClientSetClientAppUpdateStateResponse,
    EMsg.ClientWalletInfoUpdate: steammessages_clientserver.CMsgClientWalletInfoUpdate,
    EMsg.ClientPICSChangesSinceRequest: steammessages_clientserver.CMsgClientPicsChangesSinceRequest,
    EMsg.ClientPICSChangesSinceResponse: steammessages_clientserver.CMsgClientPicsChangesSinceResponse,
    EMsg.ClientPICSProductInfoRequest: steammessages_clientserver.CMsgClientPicsProductInfoRequest,
    EMsg.ClientPICSProductInfoResponse: steammessages_clientserver.CMsgClientPicsProductInfoResponse,
    EMsg.ClientPICSAccessTokenRequest: steammessages_clientserver.CMsgClientPicsAccessTokenRequest,
    EMsg.ClientPICSAccessTokenResponse: steammessages_clientserver.CMsgClientPicsAccessTokenResponse,
    EMsg.ClientDeregisterWithServer: steammessages_clientserver.CMsgClientDeregisterWithServer,
    EMsg.ClientClanState: steammessages_clientserver.CMsgClientClanState,
    EMsg.ClientScreenshotsChanged: steammessages_clientserver_2.CMsgClientScreenshotsChanged,
    EMsg.ClientUpdateUserGameInfo: steammessages_clientserver_2.CMsgClientUpdateUserGameInfo,
    EMsg.ClientRichPresenceUpload: steammessages_clientserver_2.CMsgClientRichPresenceUpload,
    EMsg.ClientRichPresenceRequest: steammessages_clientserver_2.CMsgClientRichPresenceRequest,
    EMsg.ClientRichPresenceInfo: steammessages_clientserver_2.CMsgClientRichPresenceInfo,
    EMsg.ClientReadMachineAuth: steammessages_clientserver_2.CMsgClientReadMachineAuth,
    EMsg.ClientReadMachineAuthResponse: steammessages_clientserver_2.CMsgClientReadMachineAuthResponse,
    EMsg.ClientUpdateMachineAuthResponse: steammessages_clientserver_2.CMsgClientUpdateMachineAuthResponse,
    EMsg.ClientRequestMachineAuth: steammessages_clientserver_2.CMsgClientRequestMachineAuth,
    EMsg.ClientRequestMachineAuthResponse: steammessages_clientserver_2.CMsgClientRequestMachineAuthResponse,
    EMsg.ClientRegisterKey: steammessages_clientserver_2.CMsgClientRegisterKey,
    EMsg.ClientPurchaseResponse: steammessages_clientserver_2.CMsgClientPurchaseResponse,
    EMsg.ClientActivateOEMLicense: steammessages_clientserver_2.CMsgClientActivateOemLicense,
    EMsg.ClientRegisterOEMMachine: steammessages_clientserver_2.CMsgClientRegisterOemMachine,
    EMsg.ClientRegisterOEMMachineResponse: steammessages_clientserver_2.CMsgClientRegisterOemMachineResponse,
    EMsg.ClientPurchaseWithMachineID: steammessages_clientserver_2.CMsgClientPurchaseWithMachineId,
    EMsg.ClientGetCDNAuthToken: steammessages_clientserver_2.CMsgClientGetCdnAuthToken,
    EMsg.ClientGetDepotDecryptionKey: steammessages_clientserver_2.CMsgClientGetDepotDecryptionKey,
    EMsg.ClientGetDepotDecryptionKeyResponse: steammessages_clientserver_2.CMsgClientGetDepotDecryptionKeyResponse,
    EMsg.ClientCheckAppBetaPassword: steammessages_clientserver_2.CMsgClientCheckAppBetaPassword,
    EMsg.ClientCheckAppBetaPasswordResponse: steammessages_clientserver_2.CMsgClientCheckAppBetaPasswordResponse,
    EMsg.ClientDPContentStatsReport: steammessages_clientserver_2.CMsgClientDpContentStatsReport,
    EMsg.ClientGetCDNAuthTokenResponse: steammessages_clientserver_2.CMsgClientGetCdnAuthTokenResponse,
    EMsg.ClientRequestAccountData: steammessages_clientserver_2.CMsgClientRequestAccountData,
    EMsg.ClientRequestAccountDataResponse: steammessages_clientserver_2.CMsgClientRequestAccountDataResponse,
    EMsg.ClientGMSServerQuery: steammessages_clientserver_2.CMsgClientGmsServerQuery,
    EMsg.GMSClientServerQueryResponse: steammessages_clientserver_2.CMsgGmsClientServerQueryResponse,
    EMsg.GameServerOutOfDate: steammessages_clientserver_2.CMsgGameServerOutOfDate,
    EMsg.ClientRedeemGuestPass: steammessages_clientserver_2.CMsgClientRedeemGuestPass,
    EMsg.ClientRedeemGuestPassResponse: steammessages_clientserver_2.CMsgClientRedeemGuestPassResponse,
    EMsg.ClientGetClanActivityCounts: steammessages_clientserver_2.CMsgClientGetClanActivityCounts,
    EMsg.ClientGetClanActivityCountsResponse: steammessages_clientserver_2.CMsgClientGetClanActivityCountsResponse,
    EMsg.ClientOGSReportString: steammessages_clientserver_2.CMsgClientOgsReportString,
    EMsg.ClientOGSReportBug: steammessages_clientserver_2.CMsgClientOgsReportBug,
    EMsg.GSAssociateWithClan: steammessages_clientserver_2.CMsgGsAssociateWithClan,
    EMsg.GSAssociateWithClanResponse: steammessages_clientserver_2.CMsgGsAssociateWithClanResponse,
    EMsg.GSComputeNewPlayerCompatibility: steammessages_clientserver_2.CMsgGsComputeNewPlayerCompatibility,
    EMsg.GSComputeNewPlayerCompatibilityResponse: steammessages_clientserver_2.CMsgGsComputeNewPlayerCompatibilityResponse,
    EMsg.ClientSentLogs: steammessages_clientserver_2.CMsgClientSentLogs,
    EMsg.ClientRequestFreeLicense: steammessages_clientserver_2.CMsgClientRequestFreeLicense,
    EMsg.ClientRequestFreeLicenseResponse: steammessages_clientserver_2.CMsgClientRequestFreeLicenseResponse,
    EMsg.ClientRequestForgottenPasswordEmail: steammessages_clientserver_2.CMsgClientRequestForgottenPasswordEmail,
    EMsg.ClientRequestForgottenPasswordEmailResponse: steammessages_clientserver_2.CMsgClientRequestForgottenPasswordEmailResponse,
    EMsg.ClientItemAnnouncements: steammessages_clientserver_2.CMsgClientItemAnnouncements,
    EMsg.ClientRequestItemAnnouncements: steammessages_clientserver_2.CMsgClientRequestItemAnnouncements,
    EMsg.ClientUserNotifications: steammessages_clientserver_2.CMsgClientUserNotifications,
    EMsg.ClientCommentNotifications: steammessages_clientserver_2.CMsgClientCommentNotifications,
    EMsg.ClientRequestCommentNotifications: steammessages_clientserver_2.CMsgClientRequestCommentNotifications,
    EMsg.ClientChatGetFriendMessageHistory: steammessages_clientserver_2.CMsgClientChatGetFriendMessageHistory,
    EMsg.ClientChatGetFriendMessageHistoryResponse: steammessages_clientserver_2.CMsgClientChatGetFriendMessageHistoryResponse,
    EMsg.ClientChatGetFriendMessageHistoryForOfflineMessages: steammessages_clientserver_2.CMsgClientChatGetFriendMessageHistoryForOfflineMessages,
    EMsg.ClientFSGetFriendsSteamLevels: steammessages_clientserver_2.CMsgClientFsGetFriendsSteamLevels,
    EMsg.ClientFSGetFriendsSteamLevelsResponse: steammessages_clientserver_2.CMsgClientFsGetFriendsSteamLevelsResponse,
    EMsg.ClientEmailAddrInfo: steammessages_clientserver_2.CMsgClientEmailAddrInfo,
    EMsg.ClientFriendUserStatusPublished: steammessages_clientserver_2.CMsgClientFriendUserStatusPublished,
    EMsg.ClientServiceMethodLegacy: steammessages_clientserver_2.CMsgClientServiceMethodLegacy,
    EMsg.ClientServiceMethodLegacyResponse: steammessages_clientserver_2.CMsgClientServiceMethodLegacyResponse,
    EMsg.ClientAuthorizeLocalDeviceRequest: steammessages_clientserver_2.CMsgClientAuthorizeLocalDeviceRequest,
    EMsg.ClientAuthorizeLocalDeviceNotification: steammessages_clientserver_2.CMsgClientAuthorizeLocalDeviceNotification,
    EMsg.ClientDeauthorizeDeviceRequest: steammessages_clientserver_2.CMsgClientDeauthorizeDeviceRequest,
    EMsg.ClientDeauthorizeDevice: steammessages_clientserver_2.CMsgClientDeauthorizeDevice,
    EMsg.ClientUseLocalDeviceAuthorizations: steammessages_clientserver_2.CMsgClientUseLocalDeviceAuthorizations,
    EMsg.ClientGetAuthorizedDevices: steammessages_clientserver_2.CMsgClientGetAuthorizedDevices,
    EMsg.ClientGetAuthorizedDevicesResponse: steammessages_clientserver_2.CMsgClientGetAuthorizedDevicesResponse,
    EMsg.ClientSharedLibraryLockStatus: steammessages_clientserver_2.CMsgClientSharedLibraryLockStatus,
    EMsg.ClientSharedLibraryStopPlaying: steammessages_clientserver_2.CMsgClientSharedLibraryStopPlaying,
    EMsg.ClientServiceCall: steammessages_clientserver_2.CMsgClientServiceCall,
    EMsg.ClientServiceModule: steammessages_clientserver_2.CMsgClientServiceModule,
    EMsg.ClientServiceCallResponse: steammessages_clientserver_2.CMsgClientServiceCallResponse,
    EMsg.ClientPlayingSessionState: steammessages_clientserver_2.CMsgClientPlayingSessionState,
    EMsg.ClientKickPlayingSession: steammessages_clientserver_2.CMsgClientKickPlayingSession,
    EMsg.ClientVoiceCallPreAuthorizeResponse: steammessages_clientserver_2.CMsgClientVoiceCallPreAuthorizeResponse,
    EMsg.BadgeCraftedNotification: steammessages_clientserver_2.CMsgBadgeCraftedNotification,
    EMsg.ClientFriendMsg: steammessages_clientserver_friends.CMsgClientFriendMsg,
    EMsg.ClientFriendMsgIncoming: steammessages_clientserver_friends.CMsgClientFriendMsgIncoming,
    EMsg.ClientAddFriend: steammessages_clientserver_friends.CMsgClientAddFriend,
    EMsg.ClientAddFriendResponse: steammessages_clientserver_friends.CMsgClientAddFriendResponse,
    EMsg.ClientRemoveFriend: steammessages_clientserver_friends.CMsgClientRemoveFriend,
    EMsg.ClientHideFriend: steammessages_clientserver_friends.CMsgClientHideFriend,
    EMsg.ClientFriendsList: steammessages_clientserver_friends.CMsgClientFriendsList,
    EMsg.ClientFriendsGroupsList: steammessages_clientserver_friends.CMsgClientFriendsGroupsList,
    EMsg.ClientRequestFriendData: steammessages_clientserver_friends.CMsgClientRequestFriendData,
    EMsg.ClientChangeStatus: steammessages_clientserver_friends.CMsgClientChangeStatus,
    EMsg.ClientPersonaState: steammessages_clientserver_friends.CMsgClientPersonaState,
    EMsg.ClientFriendProfileInfo: steammessages_clientserver_friends.CMsgClientFriendProfileInfo,
    EMsg.ClientFriendProfileInfoResponse: steammessages_clientserver_friends.CMsgClientFriendProfileInfoResponse,
    EMsg.ClientGetEmoticonList: steammessages_clientserver_friends.CMsgClientGetEmoticonList,
    EMsg.ClientEmoticonList: steammessages_clientserver_friends.CMsgClientEmoticonList,
    EMsg.ClientHeartBeat: steammessages_clientserver_login.CMsgClientHeartBeat,
    EMsg.ClientServerTimestampRequest: steammessages_clientserver_login.CMsgClientServerTimestampRequest,
    EMsg.ClientServerTimestampResponse: steammessages_clientserver_login.CMsgClientServerTimestampResponse,
    EMsg.ClientLogon: steammessages_clientserver_login.CMsgClientLogon,
    EMsg.ClientLogOnResponse: steammessages_clientserver_login.CMsgClientLogonResponse,
    EMsg.ClientLogOff: steammessages_clientserver_login.CMsgClientLogOff,
    EMsg.ClientLoggedOff: steammessages_clientserver_login.CMsgClientLoggedOff,
    EMsg.ClientNewLoginKey: steammessages_clientserver_login.CMsgClientNewLoginKey,
    EMsg.ClientNewLoginKeyAccepted: steammessages_clientserver_login.CMsgClientNewLoginKeyAccepted,
    EMsg.ClientAccountInfo: steammessages_clientserver_login.CMsgClientAccountInfo,
    EMsg.ClientChallengeRequest: steammessages_clientserver_login.CMsgClientChallengeRequest,
    EMsg.ClientChallengeResponse: steammessages_clientserver_login.CMsgClientChallengeResponse,
}
